/* config.h.in.  Generated from configure.ac by autoheader.  */

/* Define if building universal (internal helper macro) */
#undef AC_APPLE_UNIVERSAL_BUILD

/* define if asm blocks can use numeric local labels */
#undef ASM_NUMERIC_LABELS

/* Can use Cogl 2.0 API internally */
#undef COGL_ENABLE_EXPERIMENTAL_2_0_API

/* Can use experimental API internally */
#undef COGL_ENABLE_EXPERIMENTAL_API

/* The major version for libgbm */
#undef COGL_GBM_MAJOR

/* The micro version for libgbm */
#undef COGL_GBM_MICRO

/* The minor version for libgbm */
#undef COGL_GBM_MINOR

/* Cogl supports OpenGL using the WGL API */
#undef COGL_HAS_WGL_SUPPORT

/* Define to 1 if translation of program messages to the user's native
   language is requested. */
#undef ENABLE_NLS

/* Whether to enable building unit tests */
#undef ENABLE_UNIT_TESTS

/* The prefix for our gettext translation domains. */
#undef GETTEXT_PACKAGE

/* Define to the GLIB binary age */
#undef GLIB_BINARY_AGE

/* Byte contents of gmutex */
#undef GLIB_BYTE_CONTENTS_GMUTEX

/* Define to the GLIB interface age */
#undef GLIB_INTERFACE_AGE

/* The size of gmutex, as computed by sizeof. */
#undef GLIB_SIZEOF_GMUTEX

/* The size of system_thread, as computed by sizeof. */
#undef GLIB_SIZEOF_SYSTEM_THREAD

/* alpha atomic implementation */
#undef G_ATOMIC_ALPHA

/* arm atomic implementation */
#undef G_ATOMIC_ARM

/* cris atomic implementation */
#undef G_ATOMIC_CRIS

/* crisv32 atomic implementation */
#undef G_ATOMIC_CRISV32

/* i486 atomic implementation */
#undef G_ATOMIC_I486

/* ia64 atomic implementation */
#undef G_ATOMIC_IA64

/* powerpc atomic implementation */
#undef G_ATOMIC_POWERPC

/* s390 atomic implementation */
#undef G_ATOMIC_S390

/* sparcv9 atomic implementation */
#undef G_ATOMIC_SPARCV9

/* x86_64 atomic implementation */
#undef G_ATOMIC_X86_64

/* Have inline keyword */
#undef G_HAVE_INLINE

/* Have __inline keyword */
#undef G_HAVE___INLINE

/* Have __inline__ keyword */
#undef G_HAVE___INLINE__

/* Source file containing theread implementation */
#undef G_THREAD_SOURCE

/* A 'va_copy' style function */
#undef G_VA_COPY

/* 'va_lists' cannot be copies as values */
#undef G_VA_COPY_AS_ARRAY

/* Define to 1 if you have the <alloca.h> header file. */
#undef HAVE_ALLOCA_H

/* Define to 1 if you have the `atexit' function. */
#undef HAVE_ATEXIT

/* Whether we have cairo or not */
#undef HAVE_CAIRO

/* Define to 1 if you have the <CE4100/libgdl.h> header file. */
#undef HAVE_CE4100_LIBGDL_H

/* Define to 1 if you have the MacOS X function CFLocaleCopyCurrent in the
   CoreFoundation framework. */
#undef HAVE_CFLOCALECOPYCURRENT

/* Define to 1 if you have the MacOS X function CFPreferencesCopyAppValue in
   the CoreFoundation framework. */
#undef HAVE_CFPREFERENCESCOPYAPPVALUE

/* Define to 1 if you have the `chown' function. */
#undef HAVE_CHOWN

/* Have GL for rendering */
#undef HAVE_COGL_GL

/* Have GLES 1.1 for rendering */
#undef HAVE_COGL_GLES

/* Have GLES 2.0 for rendering */
#undef HAVE_COGL_GLES2

/* Have WebGL for rendering */
#undef HAVE_COGL_WEBGL

/* Define if the GNU dcgettext() function is already present or preinstalled.
   */
#undef HAVE_DCGETTEXT

/* Defined if the GL library should not be dlopened */
#undef HAVE_DIRECTLY_LINKED_GL_LIBRARY

/* Define to 1 if you have the <dirent.h> header file. */
#undef HAVE_DIRENT_H

/* Define to 1 if you have the <dlfcn.h> header file. */
#undef HAVE_DLFCN_H

/* Define to 1 if you have the <EGL/eglext.h> header file. */
#undef HAVE_EGL_EGLEXT_H

/* Define to 1 if you have the <EGL/egl.h> header file. */
#undef HAVE_EGL_EGL_H

/* Define to 1 if you have the `endmntent' function. */
#undef HAVE_ENDMNTENT

/* Define to 1 if you have the `fchmod' function. */
#undef HAVE_FCHMOD

/* Define to 1 if you have the `fchown' function. */
#undef HAVE_FCHOWN

/* Define to 1 if you have the <fcntl.h> header file. */
#undef HAVE_FCNTL_H

/* Define to 1 if you have the `fdwalk' function. */
#undef HAVE_FDWALK

/* Define to 1 if you have the `ffs' function. */
#undef HAVE_FFS

/* Define to 1 if you have the <float.h> header file. */
#undef HAVE_FLOAT_H

/* Has the __FLOAT_WORD_ORDER macro */
#undef HAVE_FLOAT_WORD_ORDER

/* Define to 1 if you have the <fstab.h> header file. */
#undef HAVE_FSTAB_H

/* we have the futex(2) system call */
#undef HAVE_FUTEX

/* Define to 1 if you have the `getcwd' function. */
#undef HAVE_GETCWD

/* Define to 1 if you have the `getc_unlocked' function. */
#undef HAVE_GETC_UNLOCKED

/* Define to 1 if you have the `getfsstat' function. */
#undef HAVE_GETFSSTAT

/* Define to 1 if you have the `getgrgid' function. */
#undef HAVE_GETGRGID

/* Define to 1 if you have the `getmntent_r' function. */
#undef HAVE_GETMNTENT_R

/* Define to 1 if you have the `getpwuid' function. */
#undef HAVE_GETPWUID

/* Define if the GNU gettext() function is already present or preinstalled. */
#undef HAVE_GETTEXT

/* Define to 1 if you have the `getvfsstat' function. */
#undef HAVE_GETVFSSTAT

/* Define to 1 if you have the <GLES/egl.h> header file. */
#undef HAVE_GLES_EGL_H

/* Define to 1 if you have the `gmtime_r' function. */
#undef HAVE_GMTIME_R

/* define to use system printf */
#undef HAVE_GOOD_PRINTF

/* Define to 1 if you have the <grp.h> header file. */
#undef HAVE_GRP_H

/* Define to 1 if you have the `hasmntopt' function. */
#undef HAVE_HASMNTOPT

/* Define if you have the iconv() function and it works. */
#undef HAVE_ICONV

/* define to support printing 64-bit integers with format I64 */
#undef HAVE_INT64_AND_I64

/* Define to 1 if you have the <inttypes.h> header file. */
#undef HAVE_INTTYPES_H

/* Define to 1 if you have the `lchmod' function. */
#undef HAVE_LCHMOD

/* Define to 1 if you have the `lchown' function. */
#undef HAVE_LCHOWN

/* Define to 1 if you have the <libgdl.h> header file. */
#undef HAVE_LIBGDL_H

/* Define to 1 if you have the `GL' library (-lGL). */
#undef HAVE_LIBGL

/* Define to 1 if you have the <limits.h> header file. */
#undef HAVE_LIMITS_H

/* Define to 1 if you have the `link' function. */
#undef HAVE_LINK

/* Define to 1 if you have the <linux/magic.h> header file. */
#undef HAVE_LINUX_MAGIC_H

/* Define to 1 if you have the `localtime_r' function. */
#undef HAVE_LOCALTIME_R

/* define if system printf can print long long */
#undef HAVE_LONG_LONG_FORMAT

/* Define to 1 if you have the `lstat' function. */
#undef HAVE_LSTAT

/* Define to 1 if you have the <malloc.h> header file. */
#undef HAVE_MALLOC_H

/* Define to 1 if you have the `memmem' function. */
#undef HAVE_MEMMEM

/* Define to 1 if you have the `memmove' function. */
#undef HAVE_MEMMOVE

/* Define to 1 if you have the <memory.h> header file. */
#undef HAVE_MEMORY_H

/* Define to 1 if you have the <mntent.h> header file. */
#undef HAVE_MNTENT_H

/* Have non-POSIX function getgrgid_r */
#undef HAVE_NONPOSIX_GETGRGID_R

/* Have non-POSIX function getpwuid_r */
#undef HAVE_NONPOSIX_GETPWUID_R

/* Define to 1 if you have the `on_exit' function. */
#undef HAVE_ON_EXIT

/* Define to 1 if you have the `poll' function. */
#undef HAVE_POLL

/* Have POSIX function getgrgid_r */
#undef HAVE_POSIX_GETGRGID_R

/* Have POSIX function getpwuid_r */
#undef HAVE_POSIX_GETPWUID_R

/* Have function pthread_attr_setstacksize */
#undef HAVE_PTHREAD_ATTR_SETSTACKSIZE

/* Define to 1 if you have the <pwd.h> header file. */
#undef HAVE_PWD_H

/* Define to 1 if you have the `readlink' function. */
#undef HAVE_READLINK

/* Define to 1 if you have the <sched.h> header file. */
#undef HAVE_SCHED_H

/* Define to 1 if you have the `setenv' function. */
#undef HAVE_SETENV

/* Define to 1 if you have the `setmntent' function. */
#undef HAVE_SETMNTENT

/* Define to 1 if you have the `sincos' function. */
#undef HAVE_SINCOS

/* Define to 1 if you have the `splice' function. */
#undef HAVE_SPLICE

/* Whether _Static_assert can be used or not */
#undef HAVE_STATIC_ASSERT

/* Define to 1 if you have the <stdint.h> header file. */
#undef HAVE_STDINT_H

/* Define to 1 if you have the <stdlib.h> header file. */
#undef HAVE_STDLIB_H

/* Define to 1 if you have the `stpcpy' function. */
#undef HAVE_STPCPY

/* Define to 1 if you have the `strcasecmp' function. */
#undef HAVE_STRCASECMP

/* Define to 1 if you have the `strerror' function. */
#undef HAVE_STRERROR

/* Define to 1 if you have the <strings.h> header file. */
#undef HAVE_STRINGS_H

/* Define to 1 if you have the <string.h> header file. */
#undef HAVE_STRING_H

/* Define to 1 if you have the `strncasecmp' function. */
#undef HAVE_STRNCASECMP

/* Define to 1 if you have the `strsignal' function. */
#undef HAVE_STRSIGNAL

/* Define to 1 if `f_bavail' is a member of `struct statfs'. */
#undef HAVE_STRUCT_STATFS_F_BAVAIL

/* Define to 1 if `f_fstypename' is a member of `struct statfs'. */
#undef HAVE_STRUCT_STATFS_F_FSTYPENAME

/* Define to 1 if `f_basetype' is a member of `struct statvfs'. */
#undef HAVE_STRUCT_STATVFS_F_BASETYPE

/* Define to 1 if `f_fstypename' is a member of `struct statvfs'. */
#undef HAVE_STRUCT_STATVFS_F_FSTYPENAME

/* Define to 1 if `st_atimensec' is a member of `struct stat'. */
#undef HAVE_STRUCT_STAT_ST_ATIMENSEC

/* Define to 1 if `st_atim.tv_nsec' is a member of `struct stat'. */
#undef HAVE_STRUCT_STAT_ST_ATIM_TV_NSEC

/* Define to 1 if `st_blksize' is a member of `struct stat'. */
#undef HAVE_STRUCT_STAT_ST_BLKSIZE

/* Define to 1 if `st_blocks' is a member of `struct stat'. */
#undef HAVE_STRUCT_STAT_ST_BLOCKS

/* Define to 1 if `st_ctimensec' is a member of `struct stat'. */
#undef HAVE_STRUCT_STAT_ST_CTIMENSEC

/* Define to 1 if `st_ctim.tv_nsec' is a member of `struct stat'. */
#undef HAVE_STRUCT_STAT_ST_CTIM_TV_NSEC

/* Define to 1 if `st_mtimensec' is a member of `struct stat'. */
#undef HAVE_STRUCT_STAT_ST_MTIMENSEC

/* Define to 1 if `st_mtim.tv_nsec' is a member of `struct stat'. */
#undef HAVE_STRUCT_STAT_ST_MTIM_TV_NSEC

/* Define to 1 if `tm_gmtoff' is a member of `struct tm'. */
#undef HAVE_STRUCT_TM_TM_GMTOFF

/* Define to 1 if `__tm_gmtoff' is a member of `struct tm'. */
#undef HAVE_STRUCT_TM___TM_GMTOFF

/* Define to 1 if you have the `symlink' function. */
#undef HAVE_SYMLINK

/* Define to 1 if you have the <sys/mkdev.h> header file. */
#undef HAVE_SYS_MKDEV_H

/* Define to 1 if you have the <sys/mntctl.h> header file. */
#undef HAVE_SYS_MNTCTL_H

/* Define to 1 if you have the <sys/mnttab.h> header file. */
#undef HAVE_SYS_MNTTAB_H

/* Define to 1 if you have the <sys/mount.h> header file. */
#undef HAVE_SYS_MOUNT_H

/* Define to 1 if you have the <sys/param.h> header file. */
#undef HAVE_SYS_PARAM_H

/* Define to 1 if you have the <sys/poll.h> header file. */
#undef HAVE_SYS_POLL_H

/* Define to 1 if you have the <sys/resource.h> header file. */
#undef HAVE_SYS_RESOURCE_H

/* Define to 1 if you have the <sys/select.h> header file. */
#undef HAVE_SYS_SELECT_H

/* Define to 1 if you have the <sys/statfs.h> header file. */
#undef HAVE_SYS_STATFS_H

/* Define to 1 if you have the <sys/statvfs.h> header file. */
#undef HAVE_SYS_STATVFS_H

/* Define to 1 if you have the <sys/stat.h> header file. */
#undef HAVE_SYS_STAT_H

/* Define to 1 if you have the <sys/sysctl.h> header file. */
#undef HAVE_SYS_SYSCTL_H

/* Define to 1 if you have the <sys/times.h> header file. */
#undef HAVE_SYS_TIMES_H

/* Define to 1 if you have the <sys/time.h> header file. */
#undef HAVE_SYS_TIME_H

/* Define to 1 if you have the <sys/types.h> header file. */
#undef HAVE_SYS_TYPES_H

/* Define to 1 if you have the <sys/uio.h> header file. */
#undef HAVE_SYS_UIO_H

/* Define to 1 if you have the <sys/vfstab.h> header file. */
#undef HAVE_SYS_VFSTAB_H

/* Define to 1 if you have the <sys/vfs.h> header file. */
#undef HAVE_SYS_VFS_H

/* Define to 1 if you have the <sys/vmount.h> header file. */
#undef HAVE_SYS_VMOUNT_H

/* Define to 1 if you have the <sys/wait.h> header file. */
#undef HAVE_SYS_WAIT_H

/* Define to 1 if you have the <unistd.h> header file. */
#undef HAVE_UNISTD_H

/* Define to 1 if you have the `unsetenv' function. */
#undef HAVE_UNSETENV

/* Define to 1 if you have the `utimes' function. */
#undef HAVE_UTIMES

/* Define to 1 if you have the <values.h> header file. */
#undef HAVE_VALUES_H

/* Define to 1 if you have the `vasprintf' function. */
#undef HAVE_VASPRINTF

/* Define to 1 if you have the `vsnprintf' function. */
#undef HAVE_VSNPRINTF

/* Have Win32 atomic intrinsics */
#undef HAVE_WIN32_BUILTINS_FOR_ATOMIC_OPERATIONS

/* Have a working bcopy */
#undef HAVE_WORKING_BCOPY

/* Define to the sub-directory in which libtool stores uninstalled libraries.
   */
#undef LT_OBJDIR

/* Define to 1 if your C compiler doesn't accept -c and -o together. */
#undef NO_MINUS_C_MINUS_O

/* global 'sys_errlist' not found */
#undef NO_SYS_ERRLIST

/* Define to the address where bug reports for this package should be sent. */
#undef PACKAGE_BUGREPORT

/* Define to the full name of this package. */
#undef PACKAGE_NAME

/* Define to the full name and version of this package. */
#undef PACKAGE_STRING

/* Define to the one symbol short name of this package. */
#undef PACKAGE_TARNAME

/* Define to the home page for this package. */
#undef PACKAGE_URL

/* Define to the version of this package. */
#undef PACKAGE_VERSION

/* Maximum POSIX RT priority */
#undef POSIX_MAX_PRIORITY

/* Minimum POSIX RT priority */
#undef POSIX_MIN_PRIORITY

/* The POSIX RT yield function */
#undef POSIX_YIELD_FUNC

/* The size of `char', as computed by sizeof. */
#undef SIZEOF_CHAR

/* The size of `int', as computed by sizeof. */
#undef SIZEOF_INT

/* The size of `long', as computed by sizeof. */
#undef SIZEOF_LONG

/* The size of `long long', as computed by sizeof. */
#undef SIZEOF_LONG_LONG

/* The size of `short', as computed by sizeof. */
#undef SIZEOF_SHORT

/* The size of `size_t', as computed by sizeof. */
#undef SIZEOF_SIZE_T

/* The size of `void *', as computed by sizeof. */
#undef SIZEOF_VOID_P

/* The size of `__int64', as computed by sizeof. */
#undef SIZEOF___INT64

/* Define to 1 if you have the ANSI C header files. */
#undef STDC_HEADERS

/* Use GdkPixbuf for loading image data */
#undef USE_GDKPIXBUF

/* Use internal image decoding for loading image data */
#undef USE_INTERNAL

/* Use Core Graphics (Quartz) for loading image data */
#undef USE_QUARTZ

/* Enable extensions on AIX 3, Interix.  */
#ifndef _ALL_SOURCE
# undef _ALL_SOURCE
#endif
/* Enable GNU extensions on systems that have them.  */
#ifndef _GNU_SOURCE
# undef _GNU_SOURCE
#endif
/* Enable threading extensions on Solaris.  */
#ifndef _POSIX_PTHREAD_SEMANTICS
# undef _POSIX_PTHREAD_SEMANTICS
#endif
/* Enable extensions on HP NonStop.  */
#ifndef _TANDEM_SOURCE
# undef _TANDEM_SOURCE
#endif
/* Enable general extensions on Solaris.  */
#ifndef __EXTENSIONS__
# undef __EXTENSIONS__
#endif


/* Cogl is being compiled with emscripten */
#undef USING_EMSCRIPTEN

/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
   significant byte first (like Motorola and SPARC, unlike Intel). */
#if defined AC_APPLE_UNIVERSAL_BUILD
# if defined __BIG_ENDIAN__
#  define WORDS_BIGENDIAN 1
# endif
#else
# ifndef WORDS_BIGENDIAN
#  undef WORDS_BIGENDIAN
# endif
#endif

/* Define to 1 if on MINIX. */
#undef _MINIX

/* Define to 2 if the system does not provide POSIX.1 features except with
   this defined. */
#undef _POSIX_1_SOURCE

/* Define to 1 if you need to in order for `stat' and other things to work. */
#undef _POSIX_SOURCE

/* Define to empty if `const' does not conform to ANSI C. */
#undef const

#include "config-custom.h"
